class AddCourseidToEnabledModules < ActiveRecord::Migration
  def change
    add_column :enabled_modules, :course_id, :int

    #couese_id不能直接设置为project_id
    #EnabledModule.where('project_id IN (SELECT id FROM projects WHERE project_type=1)').update_all("course_id = project_id")
    #EnabledModule.where('project_id IN (SELECT id FROM projects WHERE project_type=1)').update_all(project_id: -1)


    EnabledModule.all.each do |enablemodule|
      project = Project.find_by_id(enablemodule.project_id)
      if project && project.project_type == 1
       enablemodule.course_id = project.course_extra.id
        enablemodule.project_id = -1
       enablemodule.save(:validate => false)
      end
    end
  end
end
